Debian Bug report logs - #303263
gawk: symbol _dl_catch_error, version GLIBC_PRIVATE not defined...

version graph

Package: gawk; Maintainer for gawk is Arthur Loiret <aloiret@debian.org>; Source for gawk is src:gawk.

Reported by: "Laurent Bonnaud" <bonnaud@lis.inpg.fr>

Date: Tue, 5 Apr 2005 17:18:07 UTC

Severity: serious

Found in version 1:3.1.4-2

Done: Steinar H. Gunderson <sesse@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>:
Bug#303263; Package gawk. Full text and rfc822 format available.

Acknowledgement sent to "Laurent Bonnaud" <bonnaud@lis.inpg.fr>:
New Bug report received and forwarded. Copy sent to James Troup <james@nocrew.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Laurent Bonnaud" <bonnaud@lis.inpg.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gawk: symbol _dl_catch_error, version GLIBC_PRIVATE not defined...
Date: Tue, 05 Apr 2005 19:06:05 +0200
Package: gawk
Version: 1:3.1.4-2
Severity: normal


Hi,

here is the problem:

$ ldd -r /usr/bin/gawk
symbol _dl_catch_error, version GLIBC_PRIVATE not defined in file ld-linux.so.2 with link time reference        (/usr/bin/gawk)
        linux-gate.so.1 =>  (0xffffe000)
        libc.so.6 => /lib/tls/i686/cmov/libc.so.6 (0x4edae000)
        /lib/ld-linux.so.2 (0x4ed95000)

A rebuild is probably needed.


-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.10-1-686
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages gawk depends on:
ii  libc6                         2.3.4-2    GNU C Library: Shared libraries an

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>:
Bug#303263; Package gawk. Full text and rfc822 format available.

Acknowledgement sent to "Edward J. Shornock" <ed@crazeecanuck.homelinux.net>:
Extra info received and forwarded to list. Copy sent to James Troup <james@nocrew.org>. Full text and rfc822 format available.

Message #10 received at 303263@bugs.debian.org (full text, mbox):

From: "Edward J. Shornock" <ed@crazeecanuck.homelinux.net>
To: Debian Bug Tracking System <303263@bugs.debian.org>
Subject: gawk: Bug after upgrade of libc6
Date: Mon, 11 Apr 2005 05:48:24 -0400
Package: gawk
Version: 1:3.1.4-3
Followup-For: Bug #303263

After upgrading libc6, I get the following when trying to build a kernel
with make-kpkg:

COLUMNS=150 dpkg -l 'gcc*' perl dpkg 'libc6*' binutils ldso make dpkg-dev |\
         awk '$1 ~ /[hi]i/ { printf("%s-%s\n", $2, $3) }'   > debian/buildinfo
awk: relocation error: awk: symbol _dl_catch_error, version GLIBC_PRIVATE not defined in file ld-linux.so.2 with link time reference
make: *** [stamp-build] Error 127


Simply rebuilding the package corrected the problem.

$ ldd -r /usr/bin/gawk
        linux-gate.so.1 =>  (0xffffe000)
        libdl.so.2 => /lib/tls/libdl.so.2 (0xb7fcf000)
        libm.so.6 => /lib/tls/libm.so.6 (0xb7fad000)
        libc.so.6 => /lib/tls/libc.so.6 (0xb7e91000)
        /lib/ld-linux.so.2 (0xb7fea000)



-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (650, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.11.7.20050409
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages gawk depends on:
ii  libc6                         2.3.4-3    GNU C Library: Shared libraries an

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>:
Bug#303263; Package gawk. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup <james@nocrew.org>. Full text and rfc822 format available.

Message #15 received at 303263@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.org>
To: 303263@bugs.debian.org, control@bugs.debian.org, James Troup <james@nocrew.org>
Subject: Re: gawk: symbol _dl_catch_error, version GLIBC_PRIVATE not defined...
Date: Thu, 04 Aug 2005 16:21:08 +0900
severity 303263 serious
thanks

I met this bug during the recent glibc compilation.  I bump up the
severity of this bug.  James, please rebuild and upload it again.  If
you have no time to do so, I can help you to do NMU.

Regards,
-- gotom




Severity set to `serious'. Request was from GOTO Masanori <gotom@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Ryan Murray <rmurray@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Laurent Bonnaud" <bonnaud@lis.inpg.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 303263-done@bugs.debian.org (full text, mbox):

From: Ryan Murray <rmurray@debian.org>
To: 303263-done@bugs.debian.org
Subject: fixed in binNMU
Date: Thu, 4 Aug 2005 16:37:25 -0700
[Message part 1 (text/plain, inline)]
Package: gawk
Version: 1:3.1.4-2.0.1

The i386 binNMU no longer references the GLIBC_PRIVATE symbol.
[signature.asc (application/pgp-signature, inline)]

Bug marked as not found in version 1:3.1.4-3. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Steinar H. Gunderson <sesse@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to "Laurent Bonnaud" <bonnaud@lis.inpg.fr> Request was from Steinar H. Gunderson <sesse@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 12:27:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:35:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.